Request for Account Deletion

​

Marks the authenticated user's account for deletion. The user account will be deleted within the days configured in the Punchh platform. In order for this API to work, configuration is needed on the Punchh platform.

Note: The User-Agent header must contain one of these values in order to identify the device as a mobile device: "iOS", "iPhone", "iPone Simulator", "Android".

Headers

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

  • The app device ID helps Punchh identify each device so that certain rewards can be awarded individually to each device instead of per user. For example, the sign-up reward is given to each device ID to prevent fraudulent sign-ups so that a user cannot do repeated sign-ups from a single device to get rewards. It should not change even if the user resets a device. See the sample code to generate the punchh-app-device-id header.

  • Advertises which content types the client is able to understand

  • Set this header to application/json.

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

Body

application/json
  • OAuth client ID provided by the business

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/api2/mobile/users
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/users \
  --request DELETE \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --header 'punchh-app-device-id: APP_DEVICE_ID_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --data '{
  "client": "CLIENT_GOES_HERE"
}'
{
  "message": "Guest marked for deletion. Data will be automatically deleted within 7 days."
}